Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02541 Graphics Minor Always Oct 13, 2008, 16:24 Oct 16, 2008, 15:43
Tester Smitdogg View Status Public Platform MAME (Official Binary)
Assigned To Resolution No change required OS
Status [?] Closed Driver neodriv.hxx
Version 0.127u8 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 02541: 2020bb, ringrage: The screen is positioned incorrectly.
Description The screen is positioned incorrectly - the top half of the screen is cut off in 2020bb and the screen is crunched in ringrage. This happens when you have the game's artwork zip in your artwork folder - even if all artwork options are set to 0 in mame.ini.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems 2020bb, ringrage
Attached Files
png file icon 0000.png (6,878 bytes) Oct 13, 2008, 16:24
png file icon with_artwork.png (177,248 bytes) Oct 16, 2008, 01:42
Relationships
related to 02513Closed  twineag2: Screen is not cropped 
Notes
15
User avatar
No.02806
Tafoid
Administrator
Oct 13, 2008, 16:28
edited on: Oct 13, 2008, 16:29
Take artwork for this game out and the game is fine.
Related to an issue I'm waiting for Dev input on.. where the artwork is cropped automagically even if the user has chosen to not display it via command-line or in a .cfg/.ini.

02513
User avatar
No.02807
Smitdogg
Moderator
Oct 13, 2008, 16:49
Weird. Well maybe that report should be updated to include 2020bb so it doesn't get reported again and then this report can be deleted.
User avatar
No.02809
Tafoid
Administrator
Oct 13, 2008, 17:41
Actually, I just finished my 0.127u8 build and this issue seems to be Resolved. If you shut off artwork in program or CFG the artwork format is still kept, but the artwork is gone. Switching view from FULL to CROPPED brings the screen back to it's original (non-artwork) configuration. Before, using CROPPED for the view wouldn't fix this and regardless of that setting - the screen would be oriented as it is in the artwork files.

Give it a try and see if it work - compare u7 and u8 to see the difference.
User avatar
No.02811
Smitdogg
Moderator
Oct 13, 2008, 17:56
I'm getting the screen cropping even if I turn all the artwork options to 0. The only way I can get rid of it is to remove the 2020bb.zip from the artwork folder completely so I guess it's a lay file bug. But I don't understand why it's reading the artwork zip at all if I turned all the artwork options to 0.
User avatar
No.02812
Tafoid
Administrator
Oct 13, 2008, 18:20
Try deleting the .cfg or .ini file for that set/driver and see if you can adjust it then? A fresh start always works better.
User avatar
No.02813
Smitdogg
Moderator
Oct 13, 2008, 18:34
I did that before every time I tested it.
User avatar
No.02814
Tafoid
Administrator
Oct 13, 2008, 18:36
Works alright for me - would it be something with using MAMEUI for the adjustments? Are you doing the changes while MAME is running?
User avatar
No.02819
Smitdogg
Moderator
Oct 13, 2008, 22:23
Nope I've changed them in mame.ini all to 0 and restarted UI a dozen times, deleting the cfg and nv each time.
User avatar
No.02820
Smitdogg
Moderator
Oct 13, 2008, 22:43
I get the same problem in ringrage and I tried it in official MAME as well.
User avatar
No.02838
Scagazza
Tester
Oct 14, 2008, 08:19
I confirm Smitdogg's problem. I have to rename artwork folder to something else to fix the issue
User avatar
No.02858
Fujix
Administrator
Oct 16, 2008, 02:09
edited on: Oct 16, 2008, 02:16
I think MAME works honestly as the ini options, and this is not a bug.
You set -artwork_crop 0, the bezel area is not cropped,
and -artwork_crop 0, then the bezel picture is just hidden,
because they are options for individual artwork element.
MAME reads the .lay file regardless of those artwork options, therefore the default layout is used.

If I dare to make out a problem, it would be that MAME doesn't have an option to disable reading a .lay file such as "-artwork/-noartwork".
Otherwise, for now, we have to remove 2020bb.zip from the artwork folder to prevent MAME from reading the .lay file.
User avatar
No.02859
Smitdogg
Moderator
Oct 16, 2008, 02:56
If a read lay file option like you mentioned was added then it could be one way to fix the behavior, but you'd never want to read it if you weren't using artwork so I think when you turn off reading bezels, overlays, etc. should turn it off or toss out the data before launching the screen. If you want to name it a bug, issue, suggestion etc. it's all the same to me. We can't make a rule to remove artwork before posting bugs though, and people are going to run into this with other games. And artwork_crop isn't really an option that should ever be forced I don't think. My 2 cents.
User avatar
No.02860
aaron
Developer
Oct 16, 2008, 05:59
Ok, ok, this bug makes no sense. First off, there was a legitimate bug in 0.127u7 which caused the artwork crop option to work incorrectly. That is fixed.

Second, disabling all the artwork options from the command line doesn't prevent you from turning them on in the menus, so therefore the artwork files are still read in case you want to turn things on later.

For most games, turning off the bezels will result in the game being zoomed to account for them being gone. However, the way the 2020bb .lay file is authored, there is an explicit bounds specified, which means that even when the bezel is hidden, the bounds still applies. This is something to take up with Mr. Do, and will affect all of the games where he did the same thing.
User avatar
No.02861
aaron
Developer
Oct 16, 2008, 06:00
This is a bug in how the .lay files are authored, not a bug in MAME. It's possible that a change in MAME may be required to achieve the correct behavior. If that is the case, a new issue should be opened by Mr. Do with specifics.
User avatar
No.02870
Smitdogg
Moderator
Oct 16, 2008, 15:43
Thanks for the replies. I will point Mr. Do here.